<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- (c) 2002 Christoph Krger -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" version="1.0" encoding="ISO-8859-1" indent="yes"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Test Todos</title>
			</head>
			<body bgcolor="#ffffaa">
				<xsl:apply-templates/>
			</body>
		</html>
	</xsl:template>

	<xsl:template match="control">
		<h1>Todos</h1>
		<table border="2" bgcolor="#e8e8e8">
			<tr><td colspan="3">Classname</td><td>Date</td><td>Approved</td></tr>
			<xsl:apply-templates/>
		</table>
	</xsl:template>

	<xsl:template match="class">
		<tr>
			<td colspan="5" align="left" bgcolor="white"><xsl:value-of select="@package"/>.<xsl:value-of select="@name"/></td>
		</tr>
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="method">
		<tr>
			<td>&#160;&#160;&#160;&#160;</td>
			<td colspan="4" align="left"><xsl:value-of select="@name"/></td></tr>
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="todo">
		<tr>
			<td>&#160;&#160;&#160;&#160;</td>
			<td>&#160;&#160;&#160;&#160;</td>
			<td><xsl:value-of select="."/></td>
			<td>&#160;</td>
			<td>&#160;</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>
